Run of fresh-snapshots for libsub-wrappackages-perl

Merge these changes:

Summary

Merged new upstream version: 2.01+git20211207.1.e78b7e0 (was: 2.01).

Diff

Branch: main

diff --git a/MANIFEST.SKIP b/MANIFEST.SKIP
index 44c2fad..4377066 100644
--- a/MANIFEST.SKIP
+++ b/MANIFEST.SKIP
@@ -1,2 +1,4 @@
 .travis.yml
 ^\.git
+.appveyor.yml
+.cirrus.yml
diff --git a/META.json b/META.json
index 16fd3d1..2c999de 100644
--- a/META.json
+++ b/META.json
@@ -4,14 +4,14 @@
       "unknown"
    ],
    "dynamic_config" : 1,
-   "generated_by" : "ExtUtils::MakeMaker version 7.3, CPAN::Meta::Converter version 2.143240",
+   "generated_by" : "ExtUtils::MakeMaker version 7.62, CPAN::Meta::Converter version 2.150010",
    "license" : [
       "unknown",
-      "unknown"
+      "open_source"
    ],
    "meta-spec" : {
       "url" : "http://search.cpan.org/perldoc?CPAN::Meta::Spec",
-      "version" : "2"
+      "version" : 2
    },
    "name" : "Sub-WrapPackages",
    "no_index" : {
@@ -47,5 +47,6 @@
          "url" : "https://github.com/DrHyde/perl-modules-Sub-WrapPackages"
       }
    },
-   "version" : "2.01"
+   "version" : "2.01",
+   "x_serialization_backend" : "JSON::PP version 4.06"
 }
diff --git a/META.yml b/META.yml
index 3b94f76..e918421 100644
--- a/META.yml
+++ b/META.yml
@@ -7,7 +7,7 @@ build_requires:
 configure_requires:
   ExtUtils::MakeMaker: '0'
 dynamic_config: 1
-generated_by: 'ExtUtils::MakeMaker version 7.3, CPAN::Meta::Converter version 2.143240'
+generated_by: 'ExtUtils::MakeMaker version 7.62, CPAN::Meta::Converter version 2.150010'
 license: unknown
 meta-spec:
   url: http://module-build.sourceforge.net/META-spec-v1.4.html
@@ -24,3 +24,4 @@ resources:
   bugtracker: https://github.com/DrHyde/perl-modules-Sub-WrapPackages/issues
   repository: https://github.com/DrHyde/perl-modules-Sub-WrapPackages
 version: '2.01'
+x_serialization_backend: 'CPAN::Meta::YAML version 0.018'
diff --git a/Makefile.PL b/Makefile.PL
index 872f49a..ed3afe5 100644
--- a/Makefile.PL
+++ b/Makefile.PL
@@ -2,7 +2,7 @@ use ExtUtils::MakeMaker;
 WriteMakefile(
     NAME         => 'Sub::WrapPackages',
     META_MERGE => {
-        license => 'other',
+        license => 'open_source',
         resources => {
 	    repository => 'https://github.com/DrHyde/perl-modules-Sub-WrapPackages',
 	    bugtracker => 'https://github.com/DrHyde/perl-modules-Sub-WrapPackages/issues'
diff --git a/debian/changelog b/debian/changelog
index 2bf5518..f2cba0d 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,4 +1,4 @@
-libsub-wrappackages-perl (2.01-2) UNRELEASED; urgency=medium
+libsub-wrappackages-perl (2.01+git20211207.1.e78b7e0-1) UNRELEASED; urgency=medium
 
   [ Damyan Ivanov ]
   * declare conformance with Policy 4.1.3 (no changes needed)
@@ -9,7 +9,10 @@ libsub-wrappackages-perl (2.01-2) UNRELEASED; urgency=medium
   [ gregor herrmann ]
   * debian/watch: use uscan version 4.
 
- -- Damyan Ivanov <dmn@debian.org>  Sun, 03 Dec 2017 22:47:49 +0000
+  [ Debian Janitor ]
+  * New upstream snapshot.
+
+ -- Damyan Ivanov <dmn@debian.org>  Fri, 15 Apr 2022 13:33:28 -0000
 
 libsub-wrappackages-perl (2.01-1) unstable; urgency=medium
 

Branch: pristine-tar

diff --git a/libsub-wrappackages-perl_2.01+git20211207.1.e78b7e0.orig.tar.gz.delta b/libsub-wrappackages-perl_2.01+git20211207.1.e78b7e0.orig.tar.gz.delta
new file mode 100644
index 0000000..e065368
Binary files /dev/null and b/libsub-wrappackages-perl_2.01+git20211207.1.e78b7e0.orig.tar.gz.delta differ
diff --git a/libsub-wrappackages-perl_2.01+git20211207.1.e78b7e0.orig.tar.gz.id b/libsub-wrappackages-perl_2.01+git20211207.1.e78b7e0.orig.tar.gz.id
new file mode 100644
index 0000000..a3d2599
--- /dev/null
+++ b/libsub-wrappackages-perl_2.01+git20211207.1.e78b7e0.orig.tar.gz.id
@@ -0,0 +1 @@
+404a28eacfdd769cf6656b34ff39952783f4f7f3

Branch: upstream

Tag: upstream/2.01+git20211207.1.e78b7e0
diff --git a/MANIFEST.SKIP b/MANIFEST.SKIP
index 44c2fad..4377066 100644
--- a/MANIFEST.SKIP
+++ b/MANIFEST.SKIP
@@ -1,2 +1,4 @@
 .travis.yml
 ^\.git
+.appveyor.yml
+.cirrus.yml
diff --git a/META.json b/META.json
index 16fd3d1..2c999de 100644
--- a/META.json
+++ b/META.json
@@ -4,14 +4,14 @@
       "unknown"
    ],
    "dynamic_config" : 1,
-   "generated_by" : "ExtUtils::MakeMaker version 7.3, CPAN::Meta::Converter version 2.143240",
+   "generated_by" : "ExtUtils::MakeMaker version 7.62, CPAN::Meta::Converter version 2.150010",
    "license" : [
       "unknown",
-      "unknown"
+      "open_source"
    ],
    "meta-spec" : {
       "url" : "http://search.cpan.org/perldoc?CPAN::Meta::Spec",
-      "version" : "2"
+      "version" : 2
    },
    "name" : "Sub-WrapPackages",
    "no_index" : {
@@ -47,5 +47,6 @@
          "url" : "https://github.com/DrHyde/perl-modules-Sub-WrapPackages"
       }
    },
-   "version" : "2.01"
+   "version" : "2.01",
+   "x_serialization_backend" : "JSON::PP version 4.06"
 }
diff --git a/META.yml b/META.yml
index 3b94f76..e918421 100644
--- a/META.yml
+++ b/META.yml
@@ -7,7 +7,7 @@ build_requires:
 configure_requires:
   ExtUtils::MakeMaker: '0'
 dynamic_config: 1
-generated_by: 'ExtUtils::MakeMaker version 7.3, CPAN::Meta::Converter version 2.143240'
+generated_by: 'ExtUtils::MakeMaker version 7.62, CPAN::Meta::Converter version 2.150010'
 license: unknown
 meta-spec:
   url: http://module-build.sourceforge.net/META-spec-v1.4.html
@@ -24,3 +24,4 @@ resources:
   bugtracker: https://github.com/DrHyde/perl-modules-Sub-WrapPackages/issues
   repository: https://github.com/DrHyde/perl-modules-Sub-WrapPackages
 version: '2.01'
+x_serialization_backend: 'CPAN::Meta::YAML version 0.018'
diff --git a/Makefile.PL b/Makefile.PL
index 872f49a..ed3afe5 100644
--- a/Makefile.PL
+++ b/Makefile.PL
@@ -2,7 +2,7 @@ use ExtUtils::MakeMaker;
 WriteMakefile(
     NAME         => 'Sub::WrapPackages',
     META_MERGE => {
-        license => 'other',
+        license => 'open_source',
         resources => {
 	    repository => 'https://github.com/DrHyde/perl-modules-Sub-WrapPackages',
 	    bugtracker => 'https://github.com/DrHyde/perl-modules-Sub-WrapPackages/issues'

Publish Blockers

  • ☑ run was successful
  • ☑ package has not been removed from the archive
  • ☒ command changed from DEB_UPDATE_CHANGELOG=update deb-new-upstream --snapshot --refresh-patches to DEB_UPDATE_CHANGELOG=auto deb-new-upstream --snapshot --refresh-patches
  • ☒ not yet reviewed, but review needed
  • ☑ 0 publish attempts so far. not currently attempting to back off
  • ☑ proposals not currently being rate-limited for maintainer None
  • ☑ change set c3cf7577-4664-41dc-8a95-028ab068bd49 is ready

Resulting package

The resulting binary packages can be installed (if you have the apt repository enabled) by running one of:

apt install -t fresh-snapshots libsub-wrappackages-perl

Lintian Result

Full worker log Full build log